# X880_Invoke Class Reference

`#include <x880.h>`

Inheritance diagram for X880_Invoke:

List of all members.

## Public Types

enum | OptionalFields { e_linkedId, e_argument }

## Public Member Functions

| X880_Invoke (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_invokeId
X880_InvokeId | m_linkedId
X880_Code | m_opcode
PASN_OctetString | m_argument

## Member Enumeration Documentation

enum X880_Invoke::OptionalFields

Enumerator:

  e_linkedId |
  e_argument |

## Constructor & Destructor Documentation

X880_Invoke::X880_Invoke | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX X880_Invoke::GetDataLength | ( |  | ) | const

PBoolean X880_Invoke::Decode | ( | PASN_Stream & | strm | ) |

void X880_Invoke::Encode | ( | PASN_Stream & | strm | ) | const

void X880_Invoke::PrintOn | ( | ostream & | strm | ) | const

Comparison X880_Invoke::Compare | ( | const PObject & | obj | ) | const

PObject* X880_Invoke::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer X880_Invoke::m_invokeId

X880_InvokeId X880_Invoke::m_linkedId

X880_Code X880_Invoke::m_opcode

PASN_OctetString X880_Invoke::m_argument

The documentation for this class was generated from the following file:

- x880.h